* {
    box-sizing: border-box;
}

html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}


body {
    background-color: #161212;
}

#main-container {
    /* background-color: red; */
    display: flex;
    flex-direction: column;
    height: 100vh;
}

#container {
    /* background-color: yellow; */
    display: flex;
    flex: 1;
    /* height: 100vh; */
}

#container-canvas {
    padding: 5px;
    flex: 1;
    display: flex;
    /* background-color: green; */
    /* margin: 10px; */
}

#container-toolbar {
    padding: 15px;
    display: flex;
    flex-direction: column;
    /* background-color: blue; */
}

#container-footer {
    margin-left: 25px;
    margin-right: 25px;
    flex: 0;
    display: flex;
    /* background-color: purple; */
    justify-content: space-between;
}

canvas {
    /* display: flex; */
    width: 100%;
    height: 100%;
    /* padding: 10px; */
    /* margin-top: 15px;
    margin-left: 15px;
    margin-right:15px; */
    /* resize: both;
    overflow: auto; */
    /* border: 1px solid white; */
}

label {
    color: lightgrey;
}

#label {
    white-space: pre;
    font-family: 'Consolas', 'Courier New', Courier, monospace;
    font-size: 0.8rem;
    /* color: lightgrey; */
    /* padding: 10px; */
    text-align: left;
    width: 45%;
}

input[type="range"] {
    /* margin: 10px; */
    width: 45%;
}